View Issue Details

IDProjectCategoryLast Update
0019452AI War 2[All Projects] Gameplay IssueFeb 8, 2019 10:57 am
Reporterx4000BughunterAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version 
Fixed in Version 
Summary0019452: Engineering Chief lies to me in enemy territory.
DescriptionWhen I try to build a forcefield mark i on the planet that I'm on in this savegame, everything would seem to indicate this is about to in fact happen. I click the button and it makes all the sounds it should and the engineering chief happily tells me he'll get right to it. Then nothing happens, because apparently I was not allowed. ;) Going to an adjacent planet I own, and suddenly I can build it.

I feel like this should be warning me at the button level by being red or somesuch, at the placement circle time by that being red or something, and buzzing at me if I click it anyway. Hovering over the button should tell me why I can't build this thing.
TagsNo tags attached.

Activities

x4000Bughunter

Feb 22, 2018 5:39 pm

administrator   ~0047051

Savegame was too large to attach, so here it is: https://drive.google.com/file/d/1yDQGIz4H4WfKiI9czKK1Jakm8LPI94gH/view?usp=sharing

Surprised this thing is 3MB, but I don't know if it's compressed or what.

BadgerBadger

Feb 23, 2018 9:08 am

manager   ~0047052

Last edited: Feb 23, 2018 9:10 am

View 2 revisions

Save files are uncompressed text. They are often > 2MB which is the cap for Mantis uploads. I almost always have to zip save files before uploading them (fortunately they compress very well).

I'm not clear as to the rationtale for preventing you from building things on non-owned planets. I miss being able to beachhead an attack with turrets personally.

x4000Bughunter

Feb 23, 2018 9:35 am

administrator   ~0047053

Got it, thanks. I've just sent a request to Quinn about maybe getting that cap upped.

Dominus Arbitrationis

Feb 23, 2018 11:12 am

administrator   ~0047055

The upload cap has now been raised to 8 MB. :)

x4000Bughunter

Feb 23, 2018 11:12 am

administrator   ~0047056

Thank you! It still says "Maximum size: 2,097 KB" below, though, just as an FYI.

Dominus Arbitrationis

Feb 23, 2018 11:37 am

administrator   ~0047057

There we go. That was PHP being upset at the change. Thanks for catching that, I wouldn't have noticed had you not mentioned it!

x4000Bughunter

Feb 23, 2018 11:40 am

administrator   ~0047058

Oh sweet -- thanks!

x4000Bughunter

Aug 29, 2018 7:47 pm

administrator   ~0048542

This is for me, now.

x4000Bughunter

Aug 30, 2018 10:13 am

administrator   ~0048589

Can anyone actually confirm if this sort of thing is still happening? If anyone has a modern save for reproing it, that would also help. Thanks! :)

x4000Bughunter

Feb 8, 2019 10:57 am

administrator   ~0050796

Marking as fixed since nobody has brought this up in forever.

Issue History

Date Modified Username Field Change
Feb 22, 2018 5:37 pm x4000Bughunter New Issue
Feb 22, 2018 5:37 pm x4000Bughunter Status new => assigned
Feb 22, 2018 5:37 pm x4000Bughunter Assigned To => keith.lamothe
Feb 22, 2018 5:39 pm x4000Bughunter Note Added: 0047051
Feb 23, 2018 9:08 am BadgerBadger Note Added: 0047052
Feb 23, 2018 9:10 am BadgerBadger Note Edited: 0047052 View Revisions
Feb 23, 2018 9:35 am x4000Bughunter Note Added: 0047053
Feb 23, 2018 11:12 am Dominus Arbitrationis Note Added: 0047055
Feb 23, 2018 11:12 am x4000Bughunter Note Added: 0047056
Feb 23, 2018 11:37 am Dominus Arbitrationis Note Added: 0047057
Feb 23, 2018 11:40 am x4000Bughunter Note Added: 0047058
Aug 29, 2018 7:47 pm x4000Bughunter Assigned To keith.lamothe => x4000Bughunter
Aug 29, 2018 7:47 pm x4000Bughunter Note Added: 0048542
Aug 30, 2018 10:13 am x4000Bughunter Status assigned => feedback
Aug 30, 2018 10:13 am x4000Bughunter Note Added: 0048589
Feb 8, 2019 10:57 am x4000Bughunter Status feedback => resolved
Feb 8, 2019 10:57 am x4000Bughunter Resolution open => fixed
Feb 8, 2019 10:57 am x4000Bughunter Note Added: 0050796